summaryrefslogtreecommitdiff
path: root/package/aufs2-util/src/umount.aufs
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2009-08-23 20:43:48 +0200
committerPhil Sutter <phil@nwl.cc>2009-08-23 21:06:58 +0200
commit5774bab43a1946acd8440ad759eb6cc26335e64c (patch)
tree6af74858064eda20d6f9ce643bf1123a2f33b926 /package/aufs2-util/src/umount.aufs
parente5940baadbdf76d39ea6079972dbbab9c1c623b1 (diff)
new package aufs2-util
Since the aufs2 utilities seem to be available only via git, copy the current state into the src/ directory, with the samples/ directory removed. The files were intentionally left untouched, so custom changes are still kept in patch files for easier upstream sending. Using do-extract to copy the sources to the working directory has the downside of having to define an empty do-configure target (as this is not needed) but allows for using update-patches just like with any other package (which is not the case if the copying is done in a do-configure target).
Diffstat (limited to 'package/aufs2-util/src/umount.aufs')
-rwxr-xr-xpackage/aufs2-util/src/umount.aufs31
1 files changed, 31 insertions, 0 deletions
diff --git a/package/aufs2-util/src/umount.aufs b/package/aufs2-util/src/umount.aufs
new file mode 100755
index 000000000..395689236
--- /dev/null
+++ b/package/aufs2-util/src/umount.aufs
@@ -0,0 +1,31 @@
+#!/bin/sh -
+
+# Copyright (C) 2005-2009 Junjiro Okajima
+#
+# This program, aufs is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+#
+# The main purpose of this script is calling auplink.
+#
+
+PATH=/usr/bin:/usr/sbin:/bin:/sbin
+export PATH
+
+set -e
+#set -x; echo $0 $@
+dev="$1"
+shift
+auplink "$dev" flush
+exec umount -i $@ "$dev"